Chromium Code Reviews
Help | Chromium Project | Sign in
(10)

Issue 13126002: TextureLayer: clear texture id when clearing client (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years ago by piman (Very slow to review)
Modified:
2 years ago
Reviewers:
danakj
CC:
chromium-reviews, cc-bugs_chromium.org
Visibility:
Public.

Description

TextureLayer: clear texture id when clearing client. This is to avoid having the impl side accessing a texture that's been deleted. BUG=224308 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=191268

Patch Set 1 #

Patch Set 2 : Added test #

Total comments: 2

Patch Set 3 : count used textures instead of relying on asserts #

Total comments: 4

Patch Set 4 : add assert #

Patch Set 5 : add SetNeedsDisplay #

Patch Set 6 : add SetNeedsDisplay #

Messages

Total messages: 11 (0 generated)
piman (Very slow to review)
2 years ago (2013-03-27 23:55:04 UTC) #1
danakj
Can you explain the problem this fixes in the description?
2 years ago (2013-03-28 00:04:52 UTC) #2
danakj
Also, unit test?
2 years ago (2013-03-28 00:05:03 UTC) #3
piman (Very slow to review)
On 2013/03/28 00:05:03, danakj wrote: > Also, unit test? Done, and Done.
2 years ago (2013-03-28 01:18:03 UTC) #4
danakj
Thanks! LGTM with one question about the test. https://codereview.chromium.org/13126002/diff/7001/cc/layers/texture_layer_unittest.cc File cc/layers/texture_layer_unittest.cc (right): https://codereview.chromium.org/13126002/diff/7001/cc/layers/texture_layer_unittest.cc#newcode532 cc/layers/texture_layer_unittest.cc:532: // ...
2 years ago (2013-03-28 01:44:43 UTC) #5
piman (Very slow to review)
PTAL https://codereview.chromium.org/13126002/diff/7001/cc/layers/texture_layer_unittest.cc File cc/layers/texture_layer_unittest.cc (right): https://codereview.chromium.org/13126002/diff/7001/cc/layers/texture_layer_unittest.cc#newcode532 cc/layers/texture_layer_unittest.cc:532: // We want to delete the texture, so ...
2 years ago (2013-03-28 03:11:35 UTC) #6
danakj
LGTM! https://codereview.chromium.org/13126002/diff/15001/cc/layers/texture_layer_unittest.cc File cc/layers/texture_layer_unittest.cc (right): https://codereview.chromium.org/13126002/diff/15001/cc/layers/texture_layer_unittest.cc#newcode536 cc/layers/texture_layer_unittest.cc:536: texture_layer_->ClearClient(); This should also damage the layer so ...
2 years ago (2013-03-28 03:57:07 UTC) #7
danakj
https://codereview.chromium.org/13126002/diff/15001/cc/layers/texture_layer_unittest.cc File cc/layers/texture_layer_unittest.cc (right): https://codereview.chromium.org/13126002/diff/15001/cc/layers/texture_layer_unittest.cc#newcode565 cc/layers/texture_layer_unittest.cc:565: bool result) OVERRIDE { Alternatively, or additionally, EXPECT_TRUE(result) would ...
2 years ago (2013-03-28 04:13:55 UTC) #8
piman (Very slow to review)
https://codereview.chromium.org/13126002/diff/15001/cc/layers/texture_layer_unittest.cc File cc/layers/texture_layer_unittest.cc (right): https://codereview.chromium.org/13126002/diff/15001/cc/layers/texture_layer_unittest.cc#newcode536 cc/layers/texture_layer_unittest.cc:536: texture_layer_->ClearClient(); On 2013/03/28 03:57:07, danakj wrote: > This should ...
2 years ago (2013-03-28 21:16:19 UTC) #9
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/piman@chromium.org/13126002/27001
2 years ago (2013-03-28 21:19:09 UTC) #10
I haz the power (commit-bot)
2 years ago (2013-03-29 02:27:55 UTC) #11
Message was sent while issue was closed.
Change committed as 191268
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cf4c24d